Skip to main content
GET
Retrieve a message

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

messageId
string<uuid>
required

Response

Retrieve a message

artifactId
string<uuid> | null
required
content
string
required
createdAt
string<date-time>
required
createdBy
string | null
required
externalAvatarUrl
string | null
required
externalUrl
string | null
required
id
string<uuid>
required
parentMessageId
string<uuid> | null
required
pullRequestId
string<uuid> | null
required
role
enum<string>
required
Available options:
user,
assistant,
system
sessionId
string<uuid> | null
required
type
string
required
updatedAt
string<date-time>
required
jsonContent
any
required

Raw JSON value stored for the message, including legacy strings and unknown TipTap nodes or attributes.

Example:
slashCommand
object | null
required
source
string | null
required
Maximum string length: 100